import axios from "../../../config/axios";
import { CreateCompanyType } from "../types/Types";

export const createCompany = async (data: CreateCompanyType) => {
  const response = await axios.post("/companies/requests", data);
  return response.data;
};

export const uploadSingle = async (params: FormData) => {
  const { data } = await axios.post(`/uploader/single-file`, params);
  return data;
};

export const uploadMultiple = async (params: FormData) => {
  const { data } = await axios.post(`/uploader/multi-file`, params);
  return data;
};

export const createService = async (params: CreateCompanyType) => {
  const { data } = await axios.post("/companies/company-request", params);
  return data;
};
